Get External WBS Sheet Data

GET /ws/rest/service/v2/wbs?project_number={project number}&sourceProjectId={sourceProjectId}

Purpose

Retrieve externally-synced WBS Sheet data in a specified Unifier shell based on the source_project_id and project_number.

Also retrieve manual WBS Sheet data based on the project_number.

Prerequisites

Ensure the following:

  • You have the required WBS Sheet Services permissions under the Activity Manager.
  • The Unifier shell is configured.
  • The WBS sheet is configured.

Request Format For Manual WBS Sheet Data

To retrieve Manual WBS sheet data for a specific project, send a request in the following format:

GET /ws/rest/service/v2/wbs?project_number={project number}

Request Format For System WBS Sheet Data

To retrieve System WBS sheet data for a specific project, send a request in the following format:

GET /ws/rest/service/v2/wbs?project_number={project number}&sourceProjectId={sourceProjectId}

Response Format

A JSON object is returned in the following format:

{

"data": [],

"message": [<list of messages>],

"status": <REST status code value>,

"rest_audit_id": <id from the audit table>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Success Response

A successful response with status code 200 displays in the following format:

{

"data": [

{

"id": 28853,

"uuu_cmwbs_code": "A1083",

"uuu_cmwbs_name": "WBS1",

"uuu_P6WBSPath": "P-0056.A1083",

"uuu_cmwbs_status": "Active",

"uuu_P6ETCComputeType": 4,

"uuu_P6ETCUserValue": 0.01

},

{

"id": 28854,

"uuu_cmwbs_code": "A1084",

"uuu_cmwbs_name": "WBS2",

"uuu_P6WBSPath": "P-0056.A1083.A1084",

"uuu_cmwbs_status": "Active",

"uuu_P6ETCComputeType": 4,

"uuu_P6ETCUserValue": 0.01

}

],

"message": [

"success"

],

"status": 200,

"rest_audit_id": 11873

}

Supported Validation Messages and Status Codes

The following validation messages and status codes display in the response when incorrect values are provided in the request:

Field Name Use-case Scenario Status Code Error Message
project_number project_number is invalid, blank, or not specified in the request. 602 Project/Shell Number is not correct.
project_number project_number is inactive. 1219 Project status is Inactive.
sourceProjectId sourceProjectId is not configured in the source Unifier shell. 12338 The API request contains an invalid value: [sourceProjectId]. Please check if this sourceProjectId has been configured in Unifier.